Imports System.Threading
Imports System.ComponentModel
Imports System.Globalization

Public Class Form1
    ' Select English.
    Private Sub radEnglish_CheckedChanged(ByVal sender As System.Object, _
     ByVal e As System.EventArgs) Handles radEnglish.CheckedChanged
        ' Set the current culture and UI culture.
        Thread.CurrentThread.CurrentCulture = New CultureInfo("en-US")
        Thread.CurrentThread.CurrentUICulture = New CultureInfo("en-US")

        ' Load resources.
        Dim component_resource_manager As New ComponentResourceManager(Me.GetType)
        component_resource_manager.ApplyResources(Me, "$this")
        For Each ctl As Control In Me.Controls
            component_resource_manager.ApplyResources(ctl, ctl.Name)
        Next ctl
    End Sub

    ' Select German.
    Private Sub radGerman_CheckedChanged(ByVal sender As System.Object, _
     ByVal e As System.EventArgs) Handles radGerman.CheckedChanged
        ' Set the current culture and UI culture.
        Thread.CurrentThread.CurrentCulture = New CultureInfo("de-DE")
        Thread.CurrentThread.CurrentUICulture = New CultureInfo("de-DE")

        ' Load resources.
        Dim component_resource_manager As New ComponentResourceManager(Me.GetType)
        component_resource_manager.ApplyResources(Me, "$this")
        For Each ctl As Control In Me.Controls
            component_resource_manager.ApplyResources(ctl, ctl.Name)
        Next ctl
    End Sub
End Class
